/**
 * @flow
 * Created by Rabbit on 2019-04-30.
 */

import React from 'react';

import TabButton from './TabButton';


export function TabOptions(tabBarTitle : string, iconSuite : string, tabBarIconName : string) {
  const title = tabBarTitle;
  const tabBarIcon = ({ focused }: { focused : boolean }) => {
    return (
      <TabButton
        iconSuite={iconSuite}
        tabBarIconName={tabBarIconName}
        tabBarTitle={tabBarTitle}
        focused={focused}
      />
    );
  };
  const tabBarVisible = true;
  return { title, tabBarVisible, tabBarIcon };
}


